com.io7m.r2.core.shaders.types

## Interface R2ShaderLightVolumeSingleType<M extends R2LightVolumeSingleReadableType>

- Type Parameters:
    `M` - The type of shader parameters
  All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2ShaderLightSingleUsableType<M>, R2ShaderLightVolumeSingleUsableType<M>, R2ShaderType<M>, R2ShaderUsableType<M>
  All Known Subinterfaces:
    R2ShaderLightProjectiveType<M>, R2ShaderLightProjectiveWithShadowType<M>
  All Known Implementing Classes:
    R2DebugShaderLightSphericalAttenuationSingle, R2DebugShaderLightSphericalConstantSingle, R2LightShaderProjectiveLambertBlinnPhongShadowVarianceSingle, R2LightShaderProjectiveLambertBlinnPhongSingle, R2LightShaderProjectiveLambertShadowVarianceSingle, R2LightShaderProjectiveLambertSingle, R2LightShaderSphericalLambertBlinnPhongSingle, R2LightShaderSphericalLambertPhongSingle, R2LightShaderSphericalLambertSingle, R2ShaderLightProjectiveVerifier, R2ShaderLightProjectiveWithShadowVerifier, R2ShaderLightVolumeSingleVerifier

      public interface R2ShaderLightVolumeSingleType<M extends R2LightVolumeSingleReadableType>
      extends R2ShaderType<M>, R2ShaderLightVolumeSingleUsableType<M>

  The type of single-instance light shaders.

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderLightVolumeSingleUsableType

      `onReceiveVolumeLightTransform`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderLightSingleUsableType

      `onReceiveBoundGeometryBufferTextures, onReceiveValues`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderUsableType

      `onActivate, onDeactivate, onValidate, shaderID, shaderParametersType, shaderProgram`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

Copyright © 2017 <code@io7m.com> http://io7m.com